Class | TkDialogObj
In: | tk/lib/tk/dialog.rb
Parent: | TkWindow

### Methods

name show show value

### Constants

TkCommandNames | = | ['tk_dialog'.freeze].freeze

### Public Class methods

show(*args)

[Source]

    # File tk/lib/tk/dialog.rb, line 12
      def self.show(*args)
        dlog = self.new(*args)
        dlog.show
        dlog
      end

### Public Instance methods

name()

[Source]

    # File tk/lib/tk/dialog.rb, line 201
      def name
        (@val)? @buttons[@val]: nil
      end

show()

[Source]

    # File tk/lib/tk/dialog.rb, line 165
      def show
        # if @command.kind_of?(Proc)
        if TkComm._callback_entry?(@command)
          @command.call(self)
        end

        if @default_button.kind_of?(String)
          default_button = @buttons.index(@default_button)
        else
          default_button = @default_button
        end
        # default_button = '{}' if default_button == nil
        default_button = '' if default_button == nil
        #Tk.ip_eval('eval {global '+@var.id+';'+@config+
        #          'set '+@var.id+' [tk_dialog '+
        #          @path+" "+@title+" {#{@message}} "+@bitmap+" "+
        #          String(default_button)+" "+@buttons.join(' ')+']}')
        Tk.ip_eval(@config)
        # @val = Tk.ip_eval('tk_dialog ' + @path + ' ' + @title +
        #                 ' {' + @message + '} ' + @bitmap + ' ' +
        #                 String(default_button) + ' ' + @buttons.join(' ')).to_i
        # @val = Tk.ip_eval(self.class::TkCommandNames[0] + ' ' + @path + ' ' +
        #                   @title + ' {' + @message + '} ' + @bitmap + ' ' +
        #                   String(default_button) + ' ' + @buttons.join(' ')).to_i
        @val = Tk.ip_eval(array2tk_list([
                                          self.class::TkCommandNames[0],
                                          @path, @title, @message, @bitmap,
                                          String(default_button)
                                        ].concat(@buttons))).to_i
      end

value()

[Source]

    # File tk/lib/tk/dialog.rb, line 196
      def value
        # @var.value.to_i
        @val
      end

[Validate]